Requires

3 total, all up-to-date

Package Required Latest Status
composer/package-versions-deprecated Composer plugin that provides efficient querying for installed package versions (no runtime IO) ^1.10 1.11.99.5 up to date
composer/semver Semver library that offers utilities, version constraint parsing and validation. ^1.4 || ^2.0 || ^3.0 3.4.0 up to date
vimeo/psalm A static analysis tool for finding errors in PHP applications dev-master || ^5@beta || ^5.0 5.23.1 up to date

Requires (dev)

5 total, 3 outdated

Package Required Latest Status
codeception/codeception BDD-style testing framework ^4.0.3 5.1.2 outdated
phpunit/phpunit The PHP Unit Testing framework. ^7.5 || ^8.0 || ^9.0 11.1.1 outdated
squizlabs/php_codesniffer PHP_CodeSniffer tokenizes PHP, JavaScript and CSS files and detects violations of a defined set of coding standards. ^3.3.1 3.9.1 up to date
weirdan/codeception-psalm-module Provides codeception assertions to be used for Psalm acceptance testing ^0.11.0 0.14.0 outdated
weirdan/prophecy-shim Compatibility shim to be able to use ProphecyTrait with older PHPUnit versions ^1.0 || ^2.0 2.0.2 up to date